[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#947847: please install systemd-sysusers using update-alternatives



Svante Signell <svante.signell@gmail.com> writes:

> On Wed, 2020-01-29 at 12:23 -0800, Moritz Mühlenhoff wrote:
>> Simon McVittie wrote:
>> > I think we have a fairly good picture of the costs that would be
>> > incurred from using alternatives:
>>
>> Plus in the case of opentmpfiles; a pile of security issues: systemd-
>> tmpfiles addresses a number of complex races using low level
>> primitives like openat() et al. or O_PATH, while opentmpfiles is
>> implemented in shell.
>
> Do you mean that shell scripts cannot cannot handle such issues??

If you are asking that question, then I suspect that your knowledge of
the problems of shell scripting may be sufficiently limited to mean that
the only useful way to answer it would be to say:

  Yes.

> So C-code is safe by construction, do you really believe in that?

What a ludicrous question -- well done for surpassing the previous one.

Cheers, Phil.
--
|)|  Philip Hands  [+44 (0)20 8530 9560]  HANDS.COM Ltd.
|-|  http://www.hands.com/    http://ftp.uk.debian.org/
|(|  Hugo-Klemm-Strasse 34,   21075 Hamburg,    GERMANY

Attachment: signature.asc
Description: PGP signature


Reply to: